Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJonah Graham2020-09-03 15:05:16 +0000
committerJonah Graham2020-09-03 15:05:16 +0000
commitde336416c8ab5d2e058684ebddb7f25bbb140a87 (patch)
tree08affa986f43ed8f8c1c9d8d38816def80cf31ed
parent3e65f5738ef92969184b8095394f07fcf0e5aa15 (diff)
downloadorg.eclipse.epp.packages-de336416c8ab5d2e058684ebddb7f25bbb140a87.tar.gz
org.eclipse.epp.packages-de336416c8ab5d2e058684ebddb7f25bbb140a87.tar.xz
org.eclipse.epp.packages-de336416c8ab5d2e058684ebddb7f25bbb140a87.zip
Add incubating check right into the build
This saves having to actually download all the tar files for each EPP just to do this check. Change-Id: I26ae4573359f961783b5df19440c9c71f5121a98
-rw-r--r--RELEASING.md3
-rwxr-xr-xreleng/org.eclipse.epp.config/tools/check-incubating.sh30
2 files changed, 31 insertions, 2 deletions
diff --git a/RELEASING.md b/RELEASING.md
index 2e6f2555..a7de14c4 100644
--- a/RELEASING.md
+++ b/RELEASING.md
@@ -20,8 +20,7 @@ EPP releases happen for each milestone and release candidate according to the [E
**Steps for all Milestones and RCs:**
- [ ] Ensure that the [CI build](https://ci.eclipse.org/packaging/job/simrel.epp-tycho-build/) is green. Resolving non-green builds will require tracking down problems and incompatibilities across all Eclipse participating projects. [cross-project-issues-dev](https://accounts.eclipse.org/mailing-list/cross-project-issues-dev) mailing list is a good place to start when tracking such problems.
-- [ ] Check that packages containing incubating projects have that information reflected in Help -> About dialog. (Normally only done on M3 and RCs)
- - Use this command line (appropriately updated as projects exit incubation) to identify incubating components: `for i in eclipse*win32-x86_64.zip; do echo $i; unzip -l $i "eclipse/plugins/*" | grep "_0\\." | sed "1,\$s/.*eclipse\/plugins\// /g" | grep "org\\.eclipse\\." | grep -v "org\\.eclipse\\.e4\\..*" | grep -v "org\\.eclipse\\.wst\\.jsdt\\.chromium.*" | grep -v "org\\.eclipse\\.passage\\..*" | grep -v "org\\.eclipse\\.tips\\..*" | grep -v "org\\.eclipse\\.tracecompass\\..*" | grep -v "org\\.eclipse\\.m2e\\.workspace\\.cli.*" | grep -v "org\\.eclipse\\.jface\\.notifications" | cut -f1 -d\/ | sort | uniq ; done` (ref see [this email](https://www.eclipse.org/lists/epp-dev/msg05912.html))
+- [ ] Check that packages containing incubating projects have that information reflected in Help -> About dialog. See near the end of build output for report of check-incubating.sh script.
- `-incubation` and ` (includes Incubating components)` are not used in packageMetaData anymore (See [Bug 564214](https://bugs.eclipse.org/bugs/show_bug.cgi?id=564214))
- [ ] Update the "new and noteworthy" version numbers: (Normally only done on M3 and RCs)
- [ ] Search for ` url=` (notice the blank before url) in `epp.website.xml` to see which ones are contained in the different packages.
diff --git a/releng/org.eclipse.epp.config/tools/check-incubating.sh b/releng/org.eclipse.epp.config/tools/check-incubating.sh
new file mode 100755
index 00000000..cdde22ec
--- /dev/null
+++ b/releng/org.eclipse.epp.config/tools/check-incubating.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -u # run with unset flag error so that missing parameters cause build failure
+set -e # error out on any failed commands
+# set -x # echo all commands used for debugging purposes
+
+echo "Checking all EPPs for incubating components"
+echo "The below report shows what bundles look like they may be incubating in each project"
+for i in *eclipse*linux.gtk.x86_64.tar.gz; do
+ echo $i
+ tar tf $i eclipse/plugins | \
+ # get the plug-in name only (no contents or .jar)
+ sed '-es,.*eclipse/plugins/, ,g' '-es,/.*,,g' '-es,\.jar,,g' | \
+ # Uniqify
+ sort -u | \
+ # Get all 0.* versions (as a proxy for incubating)
+ grep "_0\\." | \
+ # Only interested in Eclipse plug-ins
+ grep "org\\.eclipse\\." | \
+ # The following plug-ins have 0.*.* versions, but are not actually incubating
+ grep -v "org\\.eclipse\\.e4\\..*" | \
+ grep -v "org\\.eclipse\\.wst\\.jsdt\\.chromium.*" | \
+ grep -v "org\\.eclipse\\.passage\\..*" | \
+ grep -v "org\\.eclipse\\.tips\\..*" | \
+ grep -v "org\\.eclipse\\.tracecompass\\..*" | \
+ grep -v "org\\.eclipse\\.m2e\\.workspace\\.cli.*" | \
+ grep -v "org\\.eclipse\\.jface\\.notifications" | \
+ grep -v "org\\.eclipse\\.cdt\\.debug\\.core\\.memory" \
+ || echo " No incubating plug-ins identified"
+done

Back to the top